Download it now!
Bug 53594 - FILEOPEN : Import RTF file but ole are not well positioned in table/cells
Summary: FILEOPEN : Import RTF file but ole are not well positioned in table/cells
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.6.2 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.1.0 target:4.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-16 15:23 UTC by Marek Jagielski
Modified: 2013-02-25 10:15 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
rtf file with ole object in table (2.15 MB, application/rtf)
2012-08-16 15:23 UTC, Marek Jagielski
Details
screenshot (85.95 KB, image/png)
2012-08-16 15:24 UTC, Marek Jagielski
Details
MS Word screenshot (288.69 KB, image/tiff)
2012-08-17 09:42 UTC, Marek Jagielski
Details
MS Word screenshot (262.60 KB, image/tiff)
2012-08-17 09:46 UTC, Marek Jagielski
Details
Screenshot LO and Word on Mac OSX 10.8 (286.20 KB, image/png)
2012-08-22 22:29 UTC, Jorendc
Details
In master Ole are not well displayed (2.38 MB, image/png)
2012-09-07 10:01 UTC, Marek Jagielski
Details
Small debug example (194.60 KB, application/rtf)
2012-09-10 13:01 UTC, Marek Jagielski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Jagielski 2012-08-16 15:23:39 UTC
Created attachment 65653 [details]
rtf file with ole object in table

Hi,


The cells should contains ole objects but in Writer they are not on the
right place.

I put on attachment the rtf file and screenshot.

Thanks

Marek
Comment 1 Marek Jagielski 2012-08-16 15:24:38 UTC
Created attachment 65654 [details]
screenshot
Comment 2 Urmas 2012-08-16 15:44:17 UTC
Could you also post a screenshot of this document opened in a normal software?
Comment 3 Marek Jagielski 2012-08-17 09:42:49 UTC
Created attachment 65674 [details]
MS Word screenshot
Comment 4 Marek Jagielski 2012-08-17 09:46:09 UTC
Created attachment 65675 [details]
MS Word screenshot
Comment 5 Jorendc 2012-08-22 22:28:30 UTC
Reproducable under Mac OSX 10.8; LO 3.6.1.1 (build id: 4db6344); Dutch Language pack.

Also tested with 'Word for Mac 2011'. The logo should be in the middle + there is a bit to much spacing between two lines. There is also a align problem.
Comment 6 Jorendc 2012-08-22 22:29:24 UTC
Created attachment 65983 [details]
Screenshot LO and Word on Mac OSX 10.8
Comment 7 Marek Jagielski 2012-09-07 10:01:53 UTC
Created attachment 66771 [details]
In master Ole are not well displayed

Moreover, there is a regression in master. The OLE pictures are not displayed correctly.
Comment 8 Marek Jagielski 2012-09-10 13:01:08 UTC
Created attachment 66928 [details]
Small debug example
Comment 9 Not Assigned 2013-02-25 09:49:52 UTC
Maxime de Roucy committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=50822d440519bcc95fc4e5d45844c1328e72d6b2

testcase for fdo#53594



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Miklos Vajna 2013-02-25 10:03:57 UTC
Assign to me, seems Maxime doesn't have a bugzilla account.
Comment 11 Not Assigned 2013-02-25 10:12:27 UTC
Maxime de Roucy committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=04a761f330b6ff17a125cc5522e71aae86a862f9&h=libreoffice-4-0

fdo#53594 RTF IMPORT : considere OLE objects as pictures


It will be available in LibreOffice 4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.